# Order amount promotion rules

Commerce Layer provides a promotional engine built on top of two main resources: [promotions](/core-api-reference/promotions.md) and [promotion rules](/core-api-reference/promotion_rules.md).

Order amount promotions rules are used to trigger the associated promotion only when the total amount of an order is over the specified one. Any other promotions already applied to the order (e.g. with higher [priority](/core-api-reference/promotions.md#priority-and-order-of-application)) are considered in the comparison and the specified amount is checked against the total discounted amount.

{% hint style="info" %}
Set the `use_subtotal` attribute to `true` (default is `false`) if you want to compare the specified amount that should trigger the promotion with the order's subtotal and exclude other discount calculations (if any).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/order_amount_promotion_rules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
